Summary: Compact getty terminal handler for virtual consoles only
Name: mingetty
Version: 1.08
Release: r3.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
URL: http://sourceforge.net/projects/mingetty/
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: update-alternatives-opkg
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): update-alternatives-opkg
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): update-alternatives-opkg
Provides: /sbin/getty
Provides: elf(buildid) = 22702f40ed2d1f20a47587b9e5b6e923a823dc62

%description
Compact getty terminal handler for virtual consoles only.

%package -n mingetty-dbg
Summary: Compact getty terminal handler for virtual consoles only - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: mingetty = 1.08-r3.0

%description -n mingetty-dbg
Compact getty terminal handler for virtual consoles only.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n mingetty-staticdev
Summary: Compact getty terminal handler for virtual consoles only - Development files (Static Libraries)
Group: devel
Requires: mingetty-dev = 1.08-r3.0

%description -n mingetty-staticdev
Compact getty terminal handler for virtual consoles only.  This package
contains static libraries for software development.

%package -n mingetty-dev
Summary: Compact getty terminal handler for virtual consoles only - Development files
Group: devel
Requires: mingetty = 1.08-r3.0
Suggests: libc6-dev
Suggests: update-alternatives-opkg-dev

%description -n mingetty-dev
Compact getty terminal handler for virtual consoles only.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n mingetty-doc
Summary: Compact getty terminal handler for virtual consoles only - Documentation files
Group: doc

%description -n mingetty-doc
Compact getty terminal handler for virtual consoles only.  This package
contains documentation.

%package -n mingetty-locale
Summary: Compact getty terminal handler for virtual consoles only
Group: console/utils

%description -n mingetty-locale
Compact getty terminal handler for virtual consoles only.

%post
# mingetty - postinst
#!/bin/sh
	update-alternatives --install /sbin/getty getty /sbin/mingetty 10


%postun
# mingetty - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  getty /sbin/mingetty
fi

%files
%defattr(-,-,-,-)
%dir "/sbin"
"/sbin/mingetty"

%files -n mingetty-dbg
%defattr(-,-,-,-)
%dir "/sbin"
%dir "/usr"
%dir "/sbin/.debug"
"/sbin/.debug/mingetty"
%dir "/usr/src"
%dir "/usr/src/debug"
%dir "/usr/src/debug/mingetty"
%dir "/usr/src/debug/mingetty/1.08-r3"
%dir "/usr/src/debug/mingetty/1.08-r3/mingetty-1.08"
"/usr/src/debug/mingetty/1.08-r3/mingetty-1.08/mingetty.c"

%files -n mingetty-dev
%defattr(-,-,-,-)

%files -n mingetty-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/mingetty.8"

